Bug 128805 - New port math/fricas
Summary: New port math/fricas
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-12 02:10 UTC by Stephen Montgomery-Smith
Modified: 2008-11-14 15:30 UTC (History)
0 users

See Also:


Attachments
file.shar (183.91 KB, text/plain)
2008-11-12 02:10 UTC, Stephen Montgomery-Smith
no flags Details
fricas.sh (187.16 KB, text/plain)
2008-11-12 17:05 UTC, Stephen Montgomery-Smith
no flags Details
fricas2.sh (188.11 KB, text/plain)
2008-11-13 23:54 UTC, Stephen Montgomery-Smith
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Montgomery-Smith 2008-11-12 02:10:00 UTC
New port: math/fricas
Comment 1 Dmitry Marakasov freebsd_committer 2008-11-12 14:29:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Stephen Montgomery-Smith 2008-11-12 17:05:08 UTC
It seems that my shar file was messed up.  Here is a corrected version 
as an attachment.
Comment 3 Stephen Montgomery-Smith 2008-11-13 23:54:18 UTC
The committer is having problems building this port using sbcl.  So here 
is a shar file with the same port written using clisp.

Note that pkg-plist is quite different.
Comment 4 dfilter service freebsd_committer 2008-11-14 15:19:59 UTC
amdmi3      2008-11-14 15:19:50 UTC

  FreeBSD ports repository

  Modified files:
    math                 Makefile 
  Added files:
    math/fricas          Makefile distinfo pkg-descr pkg-plist 
  Log:
  FriCAS is an advanced computer algebra system. Its capabilities range from
  calculus (integration and differentiation) to abstract algebra. It can plot
  functions and has integrated help system.
  
  FriCAS a fork of Axiom project -- its starting point was wh-sandbox branch
  of the Axiom project.
  
  WWW: http://fricas.sourceforge.net
  
  PR:             128805
  Submitted by:   Stephen Montgomery-Smith <stephen at math dot missouri dot edu>
  
  Revision  Changes    Path
  1.568     +1 -0      ports/math/Makefile
  1.1       +35 -0     ports/math/fricas/Makefile (new)
  1.1       +3 -0      ports/math/fricas/distinfo (new)
  1.1       +8 -0      ports/math/fricas/pkg-descr (new)
  1.1       +3022 -0   ports/math/fricas/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dmitry Marakasov freebsd_committer 2008-11-14 15:20:16 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!